hpct-rtunnel(1)

NAME
hpct-rtunnel - HiPerConTracer Reverse Tunnel

SYNOPSIS
hpct-rtunnel [-N | --nodeid -node_id]
[-R remote_location | --remote remote_location]
[-C collector | --collector collector]
[-K ssh_private_key_file | --key ssh_private_key_file]
[-H ssh_known_hosts_file | --known-hosts ssh_known_hosts_file]
[-q | --quiet] [-w | --verbose]
hpct-rtunnel [-h | --help]
hpct-rtunnel [-v | --version]

DESCRIPTION
hpct-rtunnel is the HiPerConTracer reverse tunnel script. It establishes an SSH tunnel from a node to a collector, allowing SSH forwarding to the node from port 10000+NodeID on the collector. It is intended to be used with the hpct-rtunnel service, to automatically establish the tunnel from a node with NAT'ed IP address for remote maintenance.

ARGUMENTS
The following arguments may be provided:

-N | --nodeid -node_id
    Sets the node ID, a number from 1 to 9999.

-R remote_location | --remote remote_location
    Sets the remote data directory on the collector. Default: /var/hipercontracer/data.

-C collector | --collector collector
    Specifies SSH server hostname or address of the collector.

-K ssh_private_key_file | --key ssh_private_key_file
    Sets the SSH private key file used for authentication. Default: /var/hipercontracer/ssh/id_ed25519.

-H ssh_known_hosts_file | --known-hosts ssh_known_hosts_file
    Sets the SSH known hosts file. Default: /var/hipercontracer/ssh/known_hosts.

-q | --quiet
    Turns off status output.

-w | --verbose
    Turns on status output.

-h | --help
    Prints command help.

-v | --version
    Prints program version.

EXIT STATUS
The hpct-rtunnel tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

sudo -u hipercontracer hpct-rtunnel -N 1000 -C 10.44.35.16 --key /var/hipercontracer/ssh/id_ed25519 --known-hosts /var/hipercontracer/ssh/known_hosts

sudo -u hipercontracer hpct-rtunnel -N 1 -C 10.44.35.16 --key /var/hipercontracer/ssh/id_ed25519 --known-hosts /var/hipercontracer/ssh/known_hosts

hpct-rtunnel --version

hpct-rtunnel -h

NOTES
This program is part of HiPerConTracer. The latest version of HiPerConTracer can be found on the HiPerConTracer Homepage at HiPerConTracer Homepage: https://www.nntb.no/~dreibh/hipercontracer/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh